# Ogre::MaterialScriptProgramDefinition Struct Reference

Struct for holding a program definition which is in progress. More...

`#include <OgreMaterialSerializer.h>`

List of all members.

## Public Attributes

String | name
GpuProgramType | progType
String | language
String | source
String | syntax
bool | supportsSkeletalAnimation
std::map< String, String > | customParameters

## Detailed Description

Struct for holding a program definition which is in progress.

Definition at line 51 of file OgreMaterialSerializer.h.

## Member Data Documentation

std::map<String, String> Ogre::MaterialScriptProgramDefinition::customParameters

| Definition at line 59 of file OgreMaterialSerializer.h.

String Ogre::MaterialScriptProgramDefinition::language

| Definition at line 55 of file OgreMaterialSerializer.h.

String Ogre::MaterialScriptProgramDefinition::name

| Definition at line 53 of file OgreMaterialSerializer.h.

GpuProgramType Ogre::MaterialScriptProgramDefinition::progType

| Definition at line 54 of file OgreMaterialSerializer.h.

String Ogre::MaterialScriptProgramDefinition::source

| Definition at line 56 of file OgreMaterialSerializer.h.

bool Ogre::MaterialScriptProgramDefinition::supportsSkeletalAnimation

| Definition at line 58 of file OgreMaterialSerializer.h.

String Ogre::MaterialScriptProgramDefinition::syntax

| Definition at line 57 of file OgreMaterialSerializer.h.

The documentation for this struct was generated from the following file:

- OgreMaterialSerializer.h

Copyright © 2000-2005 by The OGRE Team
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Sun Feb 12 13:01:00 2006